<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/light_gray"
    android:orientation="vertical"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context=".pinviewactivity.PinViewActivity"
    tools:showIn="@layout/activity_pin_view">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_gravity="center"
        android:gravity="center">
        <androidx.cardview.widget.CardView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:cardElevation="@dimen/custom_margin2dp"
            app:cardCornerRadius="@dimen/custom_margin3dp"
            app:cardBackgroundColor="@color/white"
            android:layout_gravity="center"
            android:layout_margin="@dimen/custom_margin3dp">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:weightSum="10">
            <TextView
                android:id="@+id/txt_set_pin"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:layout_weight="7.6"
                android:padding="@dimen/custom_layout_margin11"
                android:textStyle="normal"
                android:background="@color/light_gray"
                android:textColor="@color/black"
                android:textSize="@dimen/text_size_normal"
                android:focusable="false"
                android:text="Set PIN"/>

            <TextView
                android:id="@+id/btn_clear"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:layout_weight="2.4"
                android:padding="@dimen/custom_layout_margin11"
                android:textStyle="normal"
                android:textColor="@color/black"
                android:textSize="@dimen/text_size_small"
                android:focusable="false"
                android:text="Clear Text"/>

        </LinearLayout>
        </androidx.cardview.widget.CardView>


    <androidx.cardview.widget.CardView
        android:id="@+id/card_set_pin_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardElevation="@dimen/custom_margin2dp"
        app:cardCornerRadius="@dimen/custom_margin3dp"
        app:cardBackgroundColor="@color/white"
        android:layout_gravity="center"
        android:layout_marginTop="@dimen/margin_30dp">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:padding="@dimen/custom_layout_margin11"
                android:textStyle="normal"
                android:textColor="@color/black"
                android:textSize="@dimen/text_size_small"
                android:text="Please Set Four Digit MPIN Of Your Choice"/>



            <com.goodiebag.pinview.Pinview
                android:id="@+id/pinview_start"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:cursorVisible="true"
                app:hint=""
                app:inputType="number"
                app:password="false"
                app:pinBackground="@drawable/example_drawable_with_grey_disabled"
                app:pinHeight="@dimen/text80dp"
                app:pinLength="4"
                app:pinWidth="@dimen/text80dp"
                android:layout_marginBottom="@dimen/margin_30dp"/>

        </LinearLayout>
    </androidx.cardview.widget.CardView>

    <androidx.cardview.widget.CardView
        android:id="@+id/card_confirm_pin_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardElevation="@dimen/custom_margin2dp"
        app:cardCornerRadius="@dimen/custom_margin3dp"
        app:cardBackgroundColor="@color/white"
        android:layout_marginTop="@dimen/margin_30dp">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <TextView
                android:id="@+id/txt_confirm_pin"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:padding="@dimen/custom_layout_margin11"
                android:textStyle="normal"
                android:textColor="@color/black"
                android:textSize="@dimen/text_size_small"
                android:text="Confirm Your PIN"/>

            <com.goodiebag.pinview.Pinview
                android:id="@+id/pinview_confirm"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:cursorVisible="true"
                app:forceKeyboard="true"
                app:hint=""
                app:inputType="number"
                app:password="true"
                app:pinBackground="@drawable/example_drawable"
                app:pinHeight="@dimen/text80dp"
                app:pinLength="4"
                app:pinWidth="@dimen/text80dp"
                android:layout_marginBottom="@dimen/text22dp"/>

            <Button
                android:id="@+id/btn_done"
                android:layout_width="@dimen/text250dp"
                android:layout_height="@dimen/custom_layout_margin_50"
                android:layout_gravity="center"
                android:gravity="center"
                android:textColor="@color/white"
                android:textStyle="normal"
                android:text="Set Pin"
                android:layout_margin="@dimen/margin_30dp"
                android:focusable="false"
                android:background="@drawable/rouded_corner_green"
                android:textSize="@dimen/text_size_small"/>
        </LinearLayout>
    </androidx.cardview.widget.CardView>
     </LinearLayout>

</LinearLayout>

<!--
    app:pinBackground="@drawable/example_drawable"-->
